/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.component;

import java.util.List;

import org.ow2.util.component.api.Component;

/**
 * All components that have been configured.
 * @author Florent Benoit
 *
 */
public class Components {

    /**
     * List of IComponent.
     */
    private List<Component> components = null;

    /**
     * Gets the list of components.
     * @return the list of components.
     */
    public List<Component> getComponents() {
        return components;
    }

    /**
     * Sets the list of components.
     * @param components the list of components.
     */
    public void setComponents(final List<Component> components) {
        this.components = components;
    }



}
